package rg

import (
	"context"

	log "github.com/sirupsen/logrus"
)

func resourceRGStateUpgradeV1(ctx context.Context, rawState map[string]interface{}, meta any) (map[string]interface{}, error) {
	log.Debug("resourceRGStateUpgradeV1: upgrading state")
	oldQuotaList := rawState["quota"].([]interface{})
	if len(oldQuotaList) != 0 {
		oldQuota := oldQuotaList[0].(map[string]interface{})
		oldQuota["ram"] = int64(oldQuota["ram"].(float64))
	}
	return rawState, nil
}
