/*
Пример использования
Получение списка удаленных дисков
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/


provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_disk_list_deleted" "dld" {
  #фильтр по id диска
  #опциональный параметр
  #тип - число
  #by_id = 11111

  #фильтр по имени диска
  #опциональный параметр
  #тип - строка
  #name = "disk name"

  #фильтр по имени аккаунта
  #опциональный параметр
  #тип - строка
  #account_name = "account name"

  #фильтр по максимальному размеру диска
  #опциональный параметр
  #тип - число
  #disk_max_size = 3

  #фильтр по полю shared
  #опциональный параметр
  #тип - булев
  #shared = true

  #id аккаунта для получения списка дисков
  #опциональный параметр 
  #тип - число
  #account_id = 11111

  #тип диска
  #опциональный параметр 
  #тип - строка
  #возможные типы: "b" - boot_disk, "d" - data_disk
  #type = "d"

  #кол-во страниц для вывода
  #опицональный параметр 
  #тип - число
  #page = 1

  #размер страницы
  #опицональный параметр 
  #тип - число
  #size = 1
}

output "test" {
  value = data.decort_cb_disk_list_deleted.dld
}
