/*
Пример использования
Получение снимка платформы с дополнительной диагностической информацией
(журналы и т. д.).
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_grid_get_diagnosis" "gd" {
  #id grid для получения информации
  #обязательный параметр
  #тип - число
  gid = 215
}

data "decort_cb_grid_post_diagnosis" "pd" {
  #id grid для получения информации
  #обязательный параметр
  #тип - число
  gid = 215
}

output "test-gd" {
  value = data.decort_cb_grid_get_diagnosis.gd
}

output "test-pd" {
  value = data.decort_cb_grid_post_diagnosis.pd
}
